#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>

struct Data {

	double x, y;

};

void Plot(struct Data center, struct Data *data, int number_of_data) {	// This function plots the circle
    
	int i;

	FILE *file;
	file = fopen("C:/Test-Programm/center.txt","w");
	fprintf(file, "%lf,%lf\n", center.x, center.y);	// Coordinates of the center are written into the file center.txt
	fclose(file);
	file = fopen("C:/Test-Programm/output.txt","w");
	for(i = 0; i < number_of_data; i++) fprintf(file, "%lf,%lf\n", data[i].x, data[i].y);	// Coordinates of the data points are written into the file output.txt
	fclose(file);

}

int main() {

	struct Data circle[100], center;
	int i, radius = 1, marker = 1;
	time_t time1;

	center.x = 0.0;	// X-coordinate of center
	center.y = 0.0;	// Y-coordinate of center
	while(1) {

		time1 = time(0);
		for(i = 0; i < 100; i++) {	// Calculates 100 data points for the circle

			circle[i].x = radius*cos(6.28*i/100);
			circle[i].y = radius*sin(6.28*i/100);

		}
		while(time(0) - time1 < 1);	// Wait 1 second
		if(radius < 10 && marker) radius++;	// Increase radius to a maximum of 10
		if(radius > 1 && !marker) radius--;	// Decrease radius to a minimum of 1
		if(radius == 10) marker = 0;	// Change direction
		if(radius == 1) marker = 1;	// Change direction
		Plot(center, circle, 100);	// Calls the function to plot the circle

	}
	return 0;

}